Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Assistants

Delete an assistant

DELETE /openai/v1/assistants/{assistant_id} Déprécié

Deletes an assistant by its identifier.

Paramètres de chemin d’accès

assistant_id string obligatoire Déprécié

The ID of the assistant to delete.

Réponses

The request has succeeded.

Corps

Content-Type: application/json
id string obligatoire Déprécié
deleted boolean obligatoire Déprécié
object enum obligatoire Déprécié
assistant.deleted

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire Déprécié
code string | null obligatoire Déprécié
message string obligatoire Déprécié
param string | null Déprécié
type string Déprécié
misalignment OpenAI.MisalignmentErrorDetailsResource Déprécié
review_target string | null Déprécié
error_type string | enum Déprécié
Un des éléments suivants :
string Déprécié
enum Déprécié
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Déprécié

The public explanation for this block.

steer OpenAI._MisalignmentSteer Déprécié
message string obligatoire Déprécié

The public continuation instruction.

details OpenAI.Error[] Déprécié

Additional errors that contributed to this failure.

additionalInfo object Déprécié

Additional structured information about the failure.

debugInfo object Déprécié

Diagnostic information supplied by the service for troubleshooting.

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire Déprécié
code string | null obligatoire Déprécié
message string obligatoire Déprécié
param string | null Déprécié
type string Déprécié
misalignment OpenAI.MisalignmentErrorDetailsResource Déprécié
review_target string | null Déprécié
error_type string | enum Déprécié
Un des éléments suivants :
string Déprécié
enum Déprécié
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Déprécié

The public explanation for this block.

steer OpenAI._MisalignmentSteer Déprécié
message string obligatoire Déprécié

The public continuation instruction.

details OpenAI.Error[] Déprécié

Additional errors that contributed to this failure.

additionalInfo object Déprécié

Additional structured information about the failure.

debugInfo object Déprécié

Diagnostic information supplied by the service for troubleshooting.

Requête

curl https://api.openai.com/v1/assistants/asst_abc123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -X DELETE
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
assistant_deleted = client.beta.assistants.delete(
    "assistant_id",
)
print(assistant_deleted.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const response = await openai.beta.assistants.delete("asst_abc123");

  console.log(response);
}
main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const assistantDeleted = await client.beta.assistants.delete('assistant_id');

console.log(assistantDeleted.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    assistantDeleted, err := client.Beta.Assistants.Delete(context.TODO(), "assistant_id")
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", assistantDeleted.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.assistants.AssistantDeleteParams;
import com.openai.models.beta.assistants.AssistantDeleted;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        AssistantDeleted assistantDeleted = client.beta().assistants().delete("assistant_id");
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

assistant_deleted = openai.beta.assistants.delete("assistant_id")

puts(assistant_deleted)

Response

{
  "id": "asst_abc123",
  "object": "assistant.deleted",
  "deleted": true
}
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026